﻿package com.lightenna {

	// Flash libraries
	import flash.display.MovieClip;
	import flash.text.*;
	// Local libraries
	import com.lightenna.drawing.DrawShapes2D;
	import com.lightenna.utils.TimerSimple;

	public class StructuredFun extends MovieClip {	
		
		public function StructuredFun():void {
			var drawdown:DrawShapes2D = new DrawShapes2D(this);
			var timer:TimerSimple = new TimerSimple();
			var timer_id:int = timer.start();
			var time_thresh:int = 100;
			var unit:int = 500;
			var circles:int = 0;
			for (var j=0 ; j<20 ; ++j) {
				for (var i=0 ; i<unit ; ++i) {
					drawdown.createCircle((100+i*11)%500,(100+i*11)%300,25,0x0099FF);
				}
				circles += unit;
				if (timer.lap(timer_id) > time_thresh)
					break;
			}
			var time_taken = timer.stop(timer_id);
			// display timings
			var display:String = (Math.round(time_taken*1000/circles) +  ' mus/circle, '+circles + ' circles drawn in ' + time_taken + ' ms');
			trace(display);
			var t:TextField = new TextField();
			var tf:TextFormat = new TextFormat();
			t.autoSize = TextFieldAutoSize.LEFT;
			t.background = true;
			t.border = true;
			t.x=50; t.y=50;
			tf.font = "Verdana";
			tf.color = 0x0099FF;
			tf.size = 10;
			t.defaultTextFormat = tf;
			t.text = display;
			this.addChild(t);
		}

	}	
}