﻿package com.lightenna.utils {

	import flash.utils.getTimer;
	
	public class TimerSimple {	

		var nextId:Number, maxId:Number;
		var starts:Array;
	
		public function TimerSimple() {
			nextId = 0; // id=0 not used
			maxId = 100;
			starts = new Array(maxId);
		}
		
		public function start():int {
			var id = ++nextId;
			if (nextId > maxId) return(0);
			starts[id] = getTimer();
			// trace(starts[id]);
			return(id);
		}
		
		public function lap(id:int):int {
			// stop is non-destructive, so same as lap
			return(stop(id));
		}
		
		public function stop(id:int):int{
			if (id == 0) return(0);
			var end = getTimer();
			return(end - starts[id]);
		}
		
	}	
}